> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaero.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload file

> Upload a file that can be used for fine-tuning. Files can be text or docx files.



## OpenAPI

````yaml /api-reference/openapi.json post /files
openapi: 3.0.0
info:
  title: Vaero API
  version: 1.0.0
  description: API for file uploads to Vaero platform.
servers:
  - url: https://vaeroapi.com/v1
    description: Production server
security: []
paths:
  /files:
    post:
      tags:
        - Files
      summary: Upload file
      description: >-
        Upload a file that can be used for fine-tuning. Files can be text or
        docx files.
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - file
                - purpose
              properties:
                file:
                  type: string
                  format: binary
                  description: The file object (not file name) to be uploaded.
                purpose:
                  type: string
                  description: >-
                    The intended purpose of the uploaded file, must be
                    'fine-tune'.
                  example: fine-tune
      responses:
        '200':
          description: Successful file upload. Returns the uploaded file object.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Auto-assigned UUID file identifier.
                    example: file-abc123
                  object:
                    type: string
                    description: Object type, which will always be 'file'.
                    example: file
                  bytes:
                    type: integer
                    description: Size of the uploaded file in bytes.
                    example: 120000
                  created_at:
                    type: integer
                    description: Unix timestamp for when the file was created.
                    example: 1677610602
                  filename:
                    type: string
                    description: The name of the uploaded file.
                    example: mydata.txt
                  purpose:
                    type: string
                    description: The purpose of the uploaded file, must be 'fine-tune'.
                    example: fine-tune
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````